Distribution:   CCux
Packager:	Christian Wasem <wasem@ccux-linux.de>

Name:		imlib2
Version:	20071209
Release:	1
License:	GNU/GPL 
URL:		http://enlightenment.org/
Group:		System/Libraries
Source0:	%{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-buildroot
Summary:	imlib2 is a library that does image file loading and saving and manipulating.
BuildRequires:  bzip2-devel
BuildRequires:  glibc-devel
BuildRequires:  freetype-devel
BuildRequires:  libid3tag-devel
BuildRequires:  libjpeg-devel
BuildRequires:  libpng-devel
BuildRequires:  libtiff-devel
BuildRequires:  giflib-devel
BuildRequires:  zlib-devel
BuildRequires:  libX11-devel
BuildRequires:  libXext-devel

%description
imlib2 is a library that does image file loading and saving as well as rendering,
manipulation, arbitrary polygon support, etc.
For more details see: http://enlightenment.org/

%package devel
Summary: 	imlib2 development headers.
Group: 		%{group}            
Requires: 	%{name} = %{version}-%{release}

%description devel
Header and include files for developing applications with imlib2.

%post
ldconfig

%postun
ldconfig

%prep
%setup -n %{name}

%build
./autogen.sh
./configure --prefix=%_prefix
make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -exec /usr/bin/strip --strip-debug '{}' ';' 

%files
%defattr(-,root,root)
%_bindir/imlib2_bumpmap
%_bindir/imlib2_colorspace
%_bindir/imlib2_conv
%_bindir/imlib2_grab
%_bindir/imlib2_poly
%_bindir/imlib2_show
%_bindir/imlib2_test
%_bindir/imlib2_view
%_libdir/*.so.*
%_libdir/%{name}
%_datadir

%files devel
%defattr(-,root,root)
%_includedir
%_bindir/imlib2-config
%_libdir/*.a
%_libdir/*.la
%_libdir/*.so
%_pkgconfig

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Sun Dec 09 2007 Karsten Brockmann <arcam@ccux-linux.de> 20071209-1
- Version Update
* Sun Nov 04 2007 Stefan Gottwald <gotti@ccux-linux.de> 20071104-1
- Version Update
* Fri Nov 02 2007 Stefan Gottwald <gotti@ccux-linux.de> 20071102-1
- Version Update
* Thu Mar 22 2007 Stefan Gottwald <gotti@ccux-linux.de> 1.2.3-1
- version update
* Sun Feb 11 2007 Christian Metzen <metzench@ccux-linux.de> 1.2.2.001-5
- rebuild against giflib, changed deps
* Sun Dec 24 2006 Karsten Brockmann <arcam@ccux-linux.de> 1.2.2.001-4
- recompiled package
* Sun Oct 22 2006 Karsten Brockmann <arcam@ccux-linux.de> 1.2.2.001-3
- recompiled package
* Fri Aug 18 2006 Karsten Brockmann <arcam@ccux-linux.de> 1.2.2.001-2
- recompiled package
* Fri Jun 09 2006 Karsten Brockmann <arcam@ccux-linux.de> 1.2.2.001-1
- version update
* Wed Feb 01 2006 Christian Wasem <wasem@ccux-linux.de> 1.2.1.010-1
- Update to Version 1.2.1.010
* Tue Jan 03 2006 Christian Wasem <wasem@ccux-linux.de> 1.2.1-2
- rebuilt, added missing libimlib2.so symlink
* Tue Nov 29 2005 Christian Wasem <wasem@ccux-linux.de> 1.2.1-1
- Update to Version 1.2.1, removed wrong Obsoletes-Tag
- added more files to devel
* Tue Apr 19 2005 Christian Wasem <wasem@ccux-linux.de> 1.2.0-3
- rebuild for patched readline
* Sun Apr 17 2005 Christian Metzen <metzench@ccux-linux.de> 1.2.0-2
- Fixed Group, some Specfile Improvements
* Sat Apr 16 2005 Christian Wasem <wasem@ccux-linux.de> 1.2.0-1
- Initial Release
